Re: Howto request an upgrade for keychain package

2024-04-20 Thread J M via Cygwin
El vie., 19 abr. 2024 21:19, Brian Inglis via Cygwin 
escribió:

> On 2024-04-19 08:53, J M via Cygwin wrote:
> > El jue., 18 abr. 2024 20:10, J M 
> escribió:
> >> I'm having some problems (gpg2, and some for ssh management) with
> keychain
> >> package: https://www.cygwin.com/packages/summary/keychain.html
> >>
> >> It version is 2.7.1, can be upgraded to, by example the last 2.8.5?
> >>
> >> It is here: https://github.com/funtoo/keychain/tree/2.8.5
>
> > Fow now, I implement a very weird implementation to fix this (very old
> > keychain version) in pseudocode:
> >
> > If I am inside Cygwin and keychain version is 2.7.1 then:
> > curl -L -o /usr/bin/keychain
> > https://raw.githubusercontent.com/funtoo/keychain/2.8.5/keychain
> >
> > But it is a weird workaround, you can upgrade this package? If not exists
> > any security problem clearly...
>
> The upstream repo has not been updated since 2018.
> You might be better finding a more modern, secure, compatible login
> manager like
> gnome-keyring or KDE kwalletmanager, or improved process like using known
> hosts
> and authorized keys files to limit access.
>

Hi Brian,

Yes, I know gnome-keyring or for the kde, but keychain not depends for X11,
and installs multiple packages not used.
The keychain is the better for text mode and lightweight. Has not been
updated since 2018 (I see that are finding maintainers), but work well and
support for GPG2. The actual is very old 2013...
Improve solution is not an option.
The Cygwin has the possibility to select exact versions and can be live two
versions.

Regards

>
>

-- 
Problem reports:  https://cygwin.com/problems.html
FAQ:  https://cygwin.com/faq/
Documentation:https://cygwin.com/docs.html
Unsubscribe info: https://cygwin.com/ml/#unsubscribe-simple


Re: Howto request an upgrade for keychain package

2024-04-19 Thread Brian Inglis via Cygwin

On 2024-04-19 08:53, J M via Cygwin wrote:

El jue., 18 abr. 2024 20:10, J M  escribió:

I'm having some problems (gpg2, and some for ssh management) with keychain
package: https://www.cygwin.com/packages/summary/keychain.html

It version is 2.7.1, can be upgraded to, by example the last 2.8.5?

It is here: https://github.com/funtoo/keychain/tree/2.8.5



Fow now, I implement a very weird implementation to fix this (very old
keychain version) in pseudocode:

If I am inside Cygwin and keychain version is 2.7.1 then:
curl -L -o /usr/bin/keychain
https://raw.githubusercontent.com/funtoo/keychain/2.8.5/keychain

But it is a weird workaround, you can upgrade this package? If not exists
any security problem clearly...


The upstream repo has not been updated since 2018.
You might be better finding a more modern, secure, compatible login manager like 
gnome-keyring or KDE kwalletmanager, or improved process like using known hosts 
and authorized keys files to limit access.


--
Take care. Thanks, Brian Inglis  Calgary, Alberta, Canada

La perfection est atteinte   Perfection is achieved
non pas lorsqu'il n'y a plus rien à ajouter  not when there is no more to add
mais lorsqu'il n'y a plus rien à retirer but when there is no more to cut
-- Antoine de Saint-Exupéry


--
Problem reports:  https://cygwin.com/problems.html
FAQ:  https://cygwin.com/faq/
Documentation:https://cygwin.com/docs.html
Unsubscribe info: https://cygwin.com/ml/#unsubscribe-simple


Re: Howto request an upgrade for keychain package

2024-04-19 Thread J M via Cygwin
El jue., 18 abr. 2024 20:10, J M  escribió:

> Hi,
>
> I'm having some problems (gpg2, and some for ssh management) with keychain
> package: https://www.cygwin.com/packages/summary/keychain.html
>
> It version is 2.7.1, can be upgraded to, by example the last 2.8.5?
>
> It is here: https://github.com/funtoo/keychain/tree/2.8.5
>
> Regards
>
>

Fow now, I implement a very weird implementation to fix this (very old
keychain version) in pseudocode:

If I am inside Cygwin and keychain version is 2.7.1 then:
curl -L -o /usr/bin/keychain
https://raw.githubusercontent.com/funtoo/keychain/2.8.5/keychain

But it is a weird workaround, you can upgrade this package? If not exists
any security problem clearly...

Regards




>

-- 
Problem reports:  https://cygwin.com/problems.html
FAQ:  https://cygwin.com/faq/
Documentation:https://cygwin.com/docs.html
Unsubscribe info: https://cygwin.com/ml/#unsubscribe-simple